#include <stdio.h>
#include <iocslib.h>
#include <sprite.h>
#include "defines.h"

void PCGPaletSet(FILE *fp,int block)
// ファイルからパレットデータを１ブロック分読み込んで設定する
{
unlong pal[16];
int i;
	// １ブロック=16longword
	fread(pal,sizeof(pal),1,fp);
	for (i=0;i<16;i++) sp_color(i,pal[i],block);
}
